<?php
/**
 * 微信头像
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/12/4
 * Time: 13:10
 */
error_reporting(0);
//require __DIR__ . '/extend/Curl.php';
set_time_limit(0);
$url = $_GET['url'];
$type = $_GET['type'];
$url = str_replace(' ', '%20', $url);
if ($type == 1) {
    header("Content-Type: image/x-icon");
} else if ($type == 2) {
    header("Content-Type: video/mp4");
    header("Connection: keep-alive");
} else if ($type == 3) {
    //文件下载
    //文件下载
    // 获取文件大小
// 直接设置浏览器header头通过浏览器下载
// 远程文件链接
//$url = 'http://audio.liyanlin.cn/42 沂蒙煎饼.mp3';
// 设置浏览器下载的文件名，这里还以原文件名一样
    $filename = basename($url);
// 获取远程文件大小
// 注意filesize()无法获取远程文件大小
    $headers = get_headers($url, 1);
    $fileSize = $headers['Content-Length'];
// 设置header头
// 因为不知道文件是什么类型的，告诉浏览器输出的是字节流
    header('Content-Type: application/octet-stream');
// 告诉浏览器返回的文件大小类型是字节
    header('Accept-Ranges:bytes');
// 告诉浏览器返回的文件大小
    header('Content-Length: ' . $fileSize);
// 告诉浏览器文件作为附件处理并且设定最终下载完成的文件名称
    header('Content-Disposition: attachment; filename="' . $filename . '"');

    readfile($url);
    exit;
} else {
    header("Content-Type: image/jpeg");
}
$ch = curl_init();
$timeout = 5;
if ($type == 4) {
    curl_setopt($ch, CURLOPT_REFERER, "https://diy.iyibai.com/");
}
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
$img = curl_exec($ch);
curl_close($ch);
if ($type == 5) {
    $base64 = base64_encode($img);
    $img = ('data:image/png;base64,' . $base64);
    exit($img);
} else {
    exit($img);
}
?>